Public Class frmDienstEinstellungen

    Dim DP_SETTINGS As cDienstSettings
    Public niederlassung = ""



    Private Sub frmDienstEinstellungen_Load(sender As Object, e As EventArgs) Handles Me.Load
        DP_SETTINGS = New cDienstSettings(niederlassung)
        rtbFiliale.Text = DP_SETTINGS.dpset_Filiale
        rtbAbfArt.Text = DP_SETTINGS.dpset_AbfArt
        rtbAbfNL.Text = DP_SETTINGS.dpset_AbfNL
        txtVon.Text = DP_SETTINGS.dpset_WoAuslVon
        txtBis.Text = DP_SETTINGS.dpset_WoAuslBis
        txtStartJahr.Text = DP_SETTINGS.dpset_startJahr
        txtStartKW.Text = DP_SETTINGS.dpset_startKW
        cbxZeitenInTabelle.Checked = DP_SETTINGS.dpset_showTime
        txtZeilenhoehe.Text = DP_SETTINGS.dpset_dgvRowHeight

        cbxAbfertigungAuswertung.Checked = DP_SETTINGS.dpset_AbfAuswertung
        cbxStdAuswertung.Checked = DP_SETTINGS.dpset_StudenAuswertung
        cbxAvisoAuswertung.Checked = DP_SETTINGS.dpset_AvisoAuswertung

    End Sub

    Private Sub btnOK_Click(sender As Object, e As EventArgs) Handles btnOK.Click
        If Not IsNumeric(txtVon.Text.Trim) Then MsgBox("Von muss Zahl sein!") : Exit Sub
        If Not IsNumeric(txtBis.Text.Trim) Then MsgBox("Bis muss Zahl sein!") : Exit Sub
        If Not IsNumeric(txtZeilenhoehe.Text.Trim) Then MsgBox("Zeilenhöhe muss Zahl sein!") : Exit Sub

        If rtbFiliale.Text <> "" Then
            If rtbFiliale.Text.Contains(",") Then
                For Each s In rtbFiliale.Text.Split(",")
                    If Not IsNumeric(s.Trim) Then MsgBox("FilialeNr falsch!") : Exit Sub
                Next
            Else
                If Not IsNumeric(rtbFiliale.Text.Trim) Then MsgBox("FilialeNr falsch!") : Exit Sub
            End If
        End If

        If rtbAbfArt.Text <> "" Then
            If rtbAbfArt.Text.Contains(",") Then
                For Each s In rtbAbfArt.Text.Split(",")
                    If Not IsNumeric(s.Trim) Then MsgBox("Abf.-Art falsch!") : Exit Sub
                Next
            Else
                If Not IsNumeric(rtbAbfArt.Text.Trim) Then MsgBox("Abf.-Art falsch!") : Exit Sub
            End If
        End If

        If rtbAbfNL.Text <> "" Then
            If rtbAbfNL.Text.Contains(",") Then
                For Each s In rtbAbfNL.Text.Split(",")
                    If Not (s.StartsWith("'") And s.EndsWith("'")) Then MsgBox("Abf.-Niederlassungfalsch - Hochkomma muss am Anfang und am Ende vorkommen!") : Exit Sub
                Next
            Else
                If Not (rtbAbfNL.Text.StartsWith("'") And rtbAbfNL.Text.EndsWith("'")) Then MsgBox("Abf.-Niederlassung falsch - Hochkomma muss am Anfang und am Ende vorkommen!") : Exit Sub
            End If
        End If


        DP_SETTINGS.dpset_AbfAuswertung = cbxAbfertigungAuswertung.Checked
        DP_SETTINGS.dpset_StudenAuswertung = cbxStdAuswertung.Checked
        DP_SETTINGS.dpset_AvisoAuswertung = cbxAvisoAuswertung.Checked



        DP_SETTINGS.dpset_Filiale = rtbFiliale.Text.Trim
        DP_SETTINGS.dpset_AbfArt = rtbAbfArt.Text.Trim
        DP_SETTINGS.dpset_AbfNL = rtbAbfNL.Text.Trim
        DP_SETTINGS.dpset_WoAuslVon = txtVon.Text.Trim
        DP_SETTINGS.dpset_WoAuslBis = txtBis.Text.Trim
        DP_SETTINGS.dpset_dgvRowHeight = CInt(txtZeilenhoehe.Text.Trim)
        DP_SETTINGS.dpset_showTime = cbxZeitenInTabelle.Checked

        DP_SETTINGS.dpset_startJahr = txtStartJahr.Text.Trim
        DP_SETTINGS.dpset_startKW = txtStartKW.Text.Trim


        Try
            DP_SETTINGS.SAVE()
            Me.Close()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

    End Sub

    Private Sub grpStundenAuswertung_Enter(sender As Object, e As EventArgs) Handles grpStundenAuswertung.Enter

    End Sub
End Class